/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.DetallePedidos;

import java.util.List;
import javax.ejb.Local;

/**
 * @author obper
 */
@Local
public interface DetallePedidosFacadeLocal {

    void create(DetallePedidos detallePedidos);

    void edit(DetallePedidos detallePedidos);

    void remove(DetallePedidos detallePedidos);

    DetallePedidos find(Object id);

    List<DetallePedidos> findAll();

    List<DetallePedidos> findRange(int[] range);

    int count();

    void guardarDetallePedido(DetallePedidos detFactura);

    List<DetallePedidos> ObtenerDetallePedido(String territorio, String numeroPedido);

}
